Frecuentemente publicamos actualizaciones de nuestra documentación. Es posible que la traducción de esta página esté en curso. Para conocer la información más actual, visita la documentación en inglés. Si existe un problema con las traducciones en esta página, por favor infórmanos.
Versión del artículo: Enterprise Server 2.20

Exploring the dependencies of a repository

Using the dependency graph, you can see the packages your project depends on. Adicionalmente, puedes ver cualquier vulnerabilidad que se detecte en sus dependencias.

En este artículo

Visualizar la gráfica de dependencias

Tu administrador de sitio debe habilitar las alertas de seguridad para las dependencias vulnerables de tu instancia de servidor de GitHub Enterprise para que puedas utilizar esta característica. Para obtener más información, consulta "Habilitar alertas de seguridad para dependencias vulnerables en el GitHub Enterprise Server".

The dependency graph shows the dependencies of your repository. For information about the detection of dependencies and which ecosystems are supported, see "About the dependency graph."

  1. En GitHub Enterprise, visita la página principal del repositorio.
  2. Debajo de tu nombre de repositorio, da clic en Perspectivas.
    Pestaña de perspectivas en la barra de navegación del repositorio principal
  3. En la barra lateral izquierda, da clic en Gráfica de dependencias.
    Pestaña de gráfica de dependencias en la barra lateral izquierda

Vista de dependencias

Any direct and indirect dependencies that are specified in the repository's manifest or lock files are listed, grouped by ecosystem. If vulnerabilities have been detected in the repository, these are shown at the top of the view for users with access to security alerts.

Gráfico de dependencias

Note: GitHub Enterprise Server does not populate the Dependents view.

Solución de problemas del gráfico de dependencias

Si tu gráfica de dependencias está vacía, puede que haya un problema con el archivo que contiene tus dependencias. Revisa el archivo para asegurarte de que tiene el formato correcto para el tipo de archivo.

Si un archivo de manifiesto o de bloqueo no se procesa, sus dependencias se omiten de la gráfica de dependencias y no podrán verificar si hay dependencias vulnerables.

Leer más

Pregunta a una persona

¿No puedes encontrar lo que estás buscando?

Contáctanos